
Core - Task # 53655

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54267 (Resolved): As an Editor I want to use a FAL withouth bugs

Status: Resolved Priority: Must have
Author: Stefan Weißwange Category: File Abstraction Layer (FAL)
Created: 2013-11-15 Assigned To: Steffen Ritter
Updated: 2014-03-17 Due date:
TYPO3 Version: 6.1
PHP Version: 5.4
Complexity: medium
Sprint Focus:
Subject: Wrong path in Frontend on moving directory in fileadmin
Description

I have cut'n'pasted a folder in the fileadmin directory to another directory:
from /fileadmin/library/marketing/ to /fileadmin/library/resources/pr/marketing/.

Assets, used in content elements (fileadmin/library/marketing/image.png) which worked before the cut'n'paste dont show up
afterwards, because the frontend is using a (partly) wrong path, the Image-Source references 
library/resources/pr/marketing/image.png. The fileadmin folder is missing in the path.

As a quick'n'dirty workaround if symlinked library to fileadmin/library, then the image is processed and displayed as accepted.

Related issues:
related to Core - Bug # 54499: Fix test: LocalDriver does not update file-pro... Resolved 2013-12-18

Associated revisions
Revision fc696569 - 2013-12-18 15:44 - Frans Saris

[BUGFIX] Moving files and folders doesn't update hashes

The ResourceStorage does not properly make use of the Indexer.
As result the indexRecord is not properly updated after a
file change.

This patch cleans up the ResourceStorage so it doesn't update
the index properties itself but leaves that to the indexer.

Resolves: #53655
Releases: 6.2
Change-Id: I249505a1bc0b93f8b3ffb0e9cb2b7f10a9a9968e
Reviewed-on: https://review.typo3.org/25481
Reviewed-by: Stefan Neufeind
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2013-11-15 10:01 - Stefan Weißwange
To reproduce:

2015-08-04 1/3

https://review.typo3.org/25481


    1. Create a directory in fileadmin (fileadmin/Bibliothek/test/testlibrary/)
    2. Upload image in directory (image.png)
    3. Use image within textpic
    4. Image is processed like expected (<img src="/fileadmin/_processed/csm_image_935ce2192e.png" />_)
    5. Cut'n'Paste folder to another folder (fileadmin/Bibliothek/test/another_testfolder/testlibrary/)
    6. Reload Page in Frontend, imagepath is wrong and image does not show up (<img src="/Bibliothek/test/another_testfolder/testlibrary/image.png"
/>)
    7. create symlink in Document Root (ln -s fileadmin/Bibliothek/ Bibliothek)
    8. Image is processed like expected (<img src="/typo3temp/_processed/csm_image_935ce2192e.png" />_)

#2 - 2013-11-15 13:19 - Markus Klein
- Status changed from New to Accepted

#3 - 2013-11-16 10:51 - Frans Saris

Could you test this with current master? I think #53614 fixed this issue. Can not reproduce the problem as you describe.

#4 - 2013-11-16 10:55 - Frans Saris

Just checked again, you're right. When moving the whole folder the hash values in sys_file aren't updated.

#5 - 2013-11-18 08:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25481

#6 - 2013-11-20 08:33 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25481

#7 - 2013-11-30 16:17 - Steffen Ritter
- Target version changed from next-patchlevel to 6.2.0

This won't be fixed for 6.0 and 6.1 since the FAL in these branches has to many conceptional flaws

#8 - 2013-11-30 16:18 - Steffen Ritter
- Assigned To set to Steffen Ritter

#9 - 2013-12-06 11:58 - Steffen Ritter
- % Done changed from 0 to 100
- Estimated time set to 0.00
- Complexity set to medium
#10 - 2013-12-07 16:02 - Steffen Ritter
- Parent task set to #54267

#11 - 2013-12-07 16:06 - Steffen Ritter
- % Done changed from 100 to 70

#12 - 2013-12-18 16:31 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:fc69656916adb67de29431598cce2112c1fb6416.

#13 - 2013-12-18 21:16 - Steffen Ritter
- % Done changed from 100 to 90

#14 - 2014-03-17 18:46 - Steffen Ritter
- % Done changed from 90 to 100
